EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerBlobs_GetUnreferenced',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerBlobs',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of blobs that are not referenced by any images.'
GO

IF OBJECT_ID('[DockerBlobs_GetUnreferenced]') IS NOT NULL DROP PROCEDURE [DockerBlobs_GetUnreferenced]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerBlobs_GetUnreferenced]
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerBlobs] DB
	 WHERE NOT EXISTS(SELECT * FROM [DockerImageLayers] DIL WHERE [DockerBlob_Id] = DB.[DockerBlob_Id])
	   AND NOT EXISTS(SELECT * FROM [DockerImages] DI WHERE [ContainerConfigBlob_Id] = DB.[DockerBlob_Id])

END
GO

GRANT EXECUTE ON [DockerBlobs_GetUnreferenced] TO [ProGetUser_Role]
GO