EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageContainerScanners_GetScanners',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PackageContainerScanners',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Lists all of the package/container scanners. When a feed ID is supplied, only scanners associated with that feed are returned.'
GO

IF OBJECT_ID('[PackageContainerScanners_GetScanners]') IS NOT NULL DROP PROCEDURE [PackageContainerScanners_GetScanners]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [PackageContainerScanners_GetScanners]
(
	@Feed_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	IF @Feed_Id IS NULL
		SELECT *
		  FROM [PackageContainerScanners]
	ELSE
		SELECT PCS.*
		  FROM [FeedPackageContainerScanners] FPCS
		       INNER JOIN [PackageContainerScanners] PCS
			           ON PCS.[PackageContainerScanner_Id] = FPCS.[PackageContainerScanner_Id]
		 WHERE FPCS.[Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [PackageContainerScanners_GetScanners] TO [ProGetUser_Role]
GO