EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageDownloads_AddDownload',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ NULL
GO

IF OBJECT_ID('[PackageDownloads_AddDownload]') IS NOT NULL
	DROP PROCEDURE [PackageDownloads_AddDownload]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [PackageDownloads_AddDownload]
(
	@Feed_Name NVARCHAR(50),
    @Package_Id NVARCHAR(255),
    @Version_Text NVARCHAR(50),
    @User_Name NVARCHAR(255),
    @IP_Address VARCHAR(15),
    @UserAgent_Name NVARCHAR(255)
)
AS
BEGIN

SET NOCOUNT ON

	INSERT INTO [PackageDownloads]
    (
        [Feed_Name],
        [Package_Id],
        [Version_Text],
        [User_Name],
        [IP_Address],
        [UserAgent_Name],
        [Download_Date]
    )
    VALUES
    (
        @Feed_Name,
        @Package_Id,
        @Version_Text,
        @User_Name,
        @IP_Address,
        @UserAgent_Name,
        GETUTCDATE()
    )

END
GO

GRANT EXECUTE ON [PackageDownloads_AddDownload] TO [ProGetUser_Role]
GO