EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_DeleteVulnerabilitySource',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Dissociates a feed from a vulnerability source.'
GO

IF OBJECT_ID('[Feeds_DeleteVulnerabilitySource]') IS NOT NULL DROP PROCEDURE [Feeds_DeleteVulnerabilitySource]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_DeleteVulnerabilitySource]
(
	@Feed_Id INT,
	@VulnerabilitySource_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [FeedVulnerabilitySources] 
     WHERE [Feed_Id] = @Feed_Id 
       AND [VulnerabilitySource_Id] = @VulnerabilitySource_Id

    COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Feeds_DeleteVulnerabilitySource] TO [ProGetUser_Role]
GO
